#pragma once

#include "View.h"
#include "widgets.h"

#include <SDL2/SDL.h>

#include <memory>
#include <vector>

constexpr const char* FT_LOGO_PATH = "resources/Fasttube_Logo-white.bmp";
constexpr const char* AVENIR_FONT_PATH = "resources/Avenir-Book.ttf";

class AMI final : public View {
public:
  AMI(SDL_Renderer* renderer);

  void draw() override;

private:
  TTF_Font* avenir;

  std::vector<Widget*> widgets;

  ImageWidget ft_logo;
  TextWidget choose;
};